@echo off
cls


REM ******* CHECKING FOR THE RIGHT PARAMETERS AND ERROR *******

REM Checking for proper command line usage
if "%1" == "" goto usage
if "%2" == "" goto usage2

REM Checking for existing directory
if not exist %1\%2\prince.exe goto usage3

REM Checking for proper drive
if not exist mach_v11.exe goto usage4

REM Checking for error while updating
if errorlevel 1 goto error1



REM  *********** UPDATING ***********

echo.
echo Updating Machiavelli the Prince...
echo.
copy MACH_V11.EXE %1\%2
%1
cd \%2
MACH_V11.EXE
PATCH.EXE
del MACH_V11.EXE
del PATCH.*
goto end



REM  ******* MESSAGES ******

:usage
cls
echo *******   Please supply the correct PATH of your   *******
echo *******   Machiavelli the Prince game directory.   *******
echo *******                                            *******
echo *******       Example:   UPDATE C: MPS\PRINCE      *******                                

goto EOF

:usage2
cls
echo *******   Please supply the path, typing the drive followed    *******
echo *******          by a space and then the directory.            *******
echo *******           Example:   UPDATE C: MPS\PRINCE              *******
goto EOF

:usage3
cls
echo  *******  Unable to locate PRINCE.EXE in %1\%2 directory.  The
echo  *******   path must have the original Machiavelli installed.
echo  *******    Please double check the directory and try again.
goto EOF

:usage4
cls
echo *******  This install must be run from the same DRIVE\DIRECTORY   *******
echo ******* that the Machiavelli UPDATE files are located in.  Please *******
echo *******    change to that DRIVE\DIRECTORY and run UPDATE again.   *******
goto EOF

:error1
cls
echo ******* An error has occurred.  Please double check all the  *******
echo *******  parameters and try the update again.  If it fails,  *******
echo *******          get another copy of this update.            *******
goto EOF

:end
echo Installation Complete
echo Type PRINCE in the game directory to play...
echo.

:EOF
